/*
DESCRIPTION:
Any functions that are used internally by the use-case
*/
package materialpackageorder

import (
	e "simrs-vx/internal/domain/main-entities/material-package-item"
)

func setData[T *e.CreateDto | *e.UpdateDto](input T, data *e.MaterialPackageItem) {
	var inputSrc *e.CreateDto
	if inputT, ok := any(input).(*e.CreateDto); ok {
		inputSrc = inputT
	} else {
		inputTemp := any(input).(*e.UpdateDto)
		inputSrc = &inputTemp.CreateDto
	}

	data.MaterialPackage_Code = inputSrc.MaterialPackage_Code
	data.Material_Code = inputSrc.Material_Code
}
